Vyřešeno Apache2

Status
Zamknuto

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Zdravím, nějak když se snažím nainstalovat cokoliv třeba phpmyadmin tak to tam dole vyerroruje apache2. Když se ho snažím přeinstalovat tak to nejde. Mám Debian 9

Errory v instalaci Apache2:
Kód:
Created symlink /etc/systemd/system/multi-user.target.wants/apache2.service → /l                                                                                                                                                             ib/systemd/system/apache2.service.
Created symlink /etc/systemd/system/multi-user.target.wants/apache-htcacheclean.                                                                                                                                                             service → /lib/systemd/system/apache-htcacheclean.service.
Job for apache2.service failed because the control process exited with error cod                                                                                                                                                             e.
See "systemctl status apache2.service" and "journalctl -xe" for details.
invoke-rc.d: initscript apache2, action "start" failed.
● apache2.service - The Apache HTTP Server
   Loaded: loaded (/lib/systemd/system/apache2.service; enabled; vendor preset:                                                                                                                                                              enabled)
   Active: failed (Result: exit-code) since Tue 2019-03-12 15:49:23 UTC; 12ms ag                                                                                                                                                             o
  Process: 3312 ExecStart=/usr/sbin/apachectl start (code=exited, status=127)

Mar 12 15:49:23 ns41447 systemd[1]: Starting The Apache HTTP Server...
Mar 12 15:49:23 ns41447 apachectl[3312]: /usr/sbin/apachectl: 174: /usr/sbin…und
Mar 12 15:49:23 ns41447 apachectl[3312]: Action 'start' failed.
Mar 12 15:49:23 ns41447 apachectl[3312]: The Apache error log may have more …on.
Mar 12 15:49:23 ns41447 systemd[1]: apache2.service: Control process exited…=127
Mar 12 15:49:23 ns41447 systemd[1]: Failed to start The Apache HTTP Server.
Mar 12 15:49:23 ns41447 systemd[1]: apache2.service: Unit entered failed state.
Mar 12 15:49:23 ns41447 systemd[1]: apache2.service: Failed with result 'ex…de'.
Hint: Some lines were ellipsized, use -l to show in full.
Processing triggers for systemd (232-25+deb9u9) ...
při instalaci phpmyadmin:

Kód:
The following NEW packages will be installed:
  phpmyadmin
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/3,911 kB of archives.
After this operation, 24.8 MB of additional disk space will be used.
Preconfiguring packages ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
Selecting previously unselected package phpmyadmin.
(Reading database ... 60537 files and directories currently installed.)
Preparing to unpack .../phpmyadmin_4%3a4.6.6-4_all.deb ...
Unpacking phpmyadmin (4:4.6.6-4) ...
Setting up phpmyadmin (4:4.6.6-4) ...
Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf

Creating config file /etc/dbconfig-common/phpmyadmin.conf with new version

Creating config file /etc/phpmyadmin/config-db.php with new version
phpmyadmin already exists and has privileges on phpmyadmin.
creating database phpmyadmin: already exists.
populating database via sql...  done.
dbconfig-common: flushing administrative password
apache2_invoke: Enable configuration phpmyadmin
apache2_reload: Your configuration is broken. Not reloading Apache 2
apache2_reload: /usr/sbin/apache2ctl: 198: /usr/sbin/apache2ctl: /usr/sbin/apache2: not found
 

Şķãĵpȅđ ღ

Nejlepší človíček ( ͡° ͜ʖ ͡°)
Zpráv
620
Bodů
629
Dobrý den, mohl by jste mi prosím poslal podle jakého návodu jste nainstaloval Apache?
 

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Apache jsem tam uz mel ale protoze to delalo ten error tak jsem ho smazal a znova nainstaloval
 

Şķãĵpȅđ ღ

Nejlepší človíček ( ͡° ͜ʖ ͡°)
Zpráv
620
Bodů
629
Dobře odinstalujte Apache a postupujte následovně:
apt-get update
apt-get install apache2
apt-get install curl
apt-get install php libapache2-mod-php php-mcrypt php-mysql
systemctl restart apache2
apt-get install php-cli
 

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Stále stejný problém, při instalaci apache2 to ke konci napíše:
Kód:
Created symlink /etc/systemd/system/multi-user.target.wants/apache2.service → /lib/systemd/system/apache2.service.
Created symlink /etc/systemd/system/multi-user.target.wants/apache-htcacheclean.service → /lib/systemd/system/apache-htcacheclean.service.
Job for apache2.service failed because the control process exited with error code.
See "systemctl status apache2.service" and "journalctl -xe" for details.
invoke-rc.d: initscript apache2, action "start" failed.
● apache2.service - The Apache HTTP Server
   Loaded: loaded (/lib/systemd/system/apache2.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Tue 2019-03-12 20:01:43 UTC; 12ms ago
  Process: 8586 ExecStart=/usr/sbin/apachectl start (code=exited, status=127)

Mar 12 20:01:43 ns41447 systemd[1]: Starting The Apache HTTP Server...
Mar 12 20:01:43 ns41447 apachectl[8586]: /usr/sbin/apachectl: 174: /usr/sbin…und
Mar 12 20:01:43 ns41447 apachectl[8586]: Action 'start' failed.
Mar 12 20:01:43 ns41447 apachectl[8586]: The Apache error log may have more …on.
Mar 12 20:01:43 ns41447 systemd[1]: apache2.service: Control process exited…=127
Mar 12 20:01:43 ns41447 systemd[1]: Failed to start The Apache HTTP Server.
Mar 12 20:01:43 ns41447 systemd[1]: apache2.service: Unit entered failed state.
Mar 12 20:01:43 ns41447 systemd[1]: apache2.service: Failed with result 'ex…de'.
Hint: Some lines were ellipsized, use -l to show in full.
 

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
na účtu root :D nevím jak to myslíš sudo před to nepíšu před příkazy
 

GamerSK

Veterán
Zpráv
56
Bodů
187
skús tieto príkazy na odstránenie apache2:

apt-get remove apache2*
apt-get purge apache2*

ak ti to nepôjde tak skus bez *
potom nainstaluj apache2 ako ti hore písal skypad
 

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Teď apache 2 funguje, ale dělá problém ten libapache co jsem instaloval, při instalaci phpmyadmin mě to nepustí ani do okna:

Kód:
Setting up libapache2-mod-php7.0 (7.0.33-0+deb9u3) ...
Not replacing deleted config file /etc/php/7.0/apache2/php.ini
php_invoke: Enable module bz2 for apache2 sapi
php_invoke: Enable module zip for apache2 sapi
php_invoke: Enable module curl for apache2 sapi
php_invoke: Enable module gd for apache2 sapi
dpkg: error processing package libapache2-mod-php7.0 (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of libapache2-mod-php:
 libapache2-mod-php depends on libapache2-mod-php7.0; however:
  Package libapache2-mod-php7.0 is not configured yet.

dpkg: error processing package libapache2-mod-php (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libapache2-mod-php7.0
 libapache2-mod-php
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Já se na to asi vykašlu... po tom co jsem to udělal tam už není 1 error ale 4 errory

---- Automaticky sloučená zpráva ----

Kód:
Creating config file /etc/php/7.0/cli/php.ini with new version
Setting up php-zip (1:7.0+49) ...
Setting up php-pear (1:1.10.1+submodules+notgz-9+deb9u1) ...
Setting up php-php-gettext (1.0.12-0.1) ...
Setting up libapache2-mod-php7.0 (7.0.33-0+deb9u3) ...
Not replacing deleted config file /etc/php/7.0/apache2/php.ini
dpkg: error processing package libapache2-mod-php7.0 (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of php7.0:
 php7.0 depends on libapache2-mod-php7.0 | php7.0-fpm | php7.0-cgi; however:
  Package libapache2-mod-php7.0 is not configured yet.
  Package php7.0-fpm is not installed.
  Package php7.0-cgi is not installed.

dpkg: error processing package php7.0 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php:
 php depends on php7.0; however:
  Package php7.0 is not configured yet.

dpkg: error processing package php (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of phpmyadmin:
 phpmyadmin depends on php; however:
  Package php is not configured yet.
  Package php7.0 which provides php is not configured yet.

dpkg: error processing package phpmyadmin (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libapache2-mod-php7.0
 php7.0
 php
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)
---- Automaticky sloučená zpráva ----

Myslíte, že mám reinstalovat VPS?
 
Poslední změna:

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Kód:
root@ns41447:~# dpkg --configure -a
Setting up libapache2-mod-php7.0 (7.0.33-0+deb9u3) ...
Not replacing deleted config file /etc/php/7.0/apache2/php.ini
dpkg: error processing package libapache2-mod-php7.0 (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of php7.0:
 php7.0 depends on libapache2-mod-php7.0 | php7.0-fpm | php7.0-cgi; however:
  Package libapache2-mod-php7.0 is not configured yet.
  Package php7.0-fpm is not installed.
  Package php7.0-cgi is not installed.

dpkg: error processing package php7.0 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of php:
 php depends on php7.0; however:
  Package php7.0 is not configured yet.

dpkg: error processing package php (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of phpmyadmin:
 phpmyadmin depends on php; however:
  Package php is not configured yet.
  Package php7.0 which provides php is not configured yet.

dpkg: error processing package phpmyadmin (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libapache2-mod-php7.0
 php7.0
 php
 phpmyadmin
---- Automaticky sloučená zpráva ----

No nic zkusím reinstalovat vpsko
 
Poslední změna:

KUMODI

Veterán
Zpráv
82
Bodů
187
Servery
VPS: 89.203.251.22
Po reinstalaci to nedělá errory ale stále mi nejde nainstalovat phpmyadmin


tohle se stane když zadám akorát hesla při instalaci

---- Automaticky sloučená zpráva ----

Konečně se mi to podařilo, pro ty co budou mít stejný problém tak nainstalujte ubuntu místo debiana, nainstaluje "mysql-server" a phpmyadmin půjde. LOCKUJU
 
Poslední změna:
Status
Zamknuto
Top